#!/bin/bash
d=usb-Allen___Heath_ZEDi10-00
i=multichannel-input
o=analog-surround-40
pactl set-card-profile alsa_card.$d output:$o+input:$i
pactl load-module module-remap-source source_name=Mic1 source_properties='device.description="ZEDi10\ Mic1"' master=alsa_input.$d.$i channels=1 channel_map=front-left remix=no
pactl load-module module-remap-source source_name=Mic2 source_properties='device.description="ZEDi10\ Mic2"' master=alsa_input.$d.$i channels=1 channel_map=front-right remix=no
pactl load-module module-remap-source source_name=Main  source_properties='device.description="ZEDi10\ Main"' master=alsa_input.$d.$i channels=2 channel_map=rear-left,rear-right remix=no
pactl load-module module-remap-sink sink_name=ST2 sink_properties='device.description="ZEDi10\ ST2"' master=alsa_output.$d.$o channels=2 channel_map=front-left,front-right remix=no
pactl load-module module-remap-sink sink_name=ST3 sink_properties='device.description="ZEDi10\ ST3"' master=alsa_output.$d.$o channels=2 channel_map=rear-left,rear-right remix=no
